﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Timelines;
using Infragistics.Controls.Menus;

namespace TimelineCustomEventEntryIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<DateTimeEntry> source = new ObservableCollection<DateTimeEntry>();
            Random r = new Random();

            for (int i = 0; i < 10; i++)
            {
                source.Add(new ConstraintDateTimeEntry
                {
                    Title = "Data " + i,
                    Details = "Data Details " + r.Next(100000),
                    Time = DateTime.Now.AddYears(r.Next(30)).AddDays(r.Next(100))
                });
            }
            
            DateTimeSeries outageSeries = new DateTimeSeries();
            outageSeries.Title = "Outage Periods";
            outageSeries.Entries = source;
          //  outageSeries.DataMapping = "Time=Time;Duration=Duration;Title=Title;Details=Details";
            outageSeries.Position = Position.TopOrLeft;
            outageSeries.EventTitleStyle = Resources["EventTitleStyle"] as Style;

            m_xamTimeline.Series.Add(outageSeries);
        }


        private void XamContextMenu_ItemClicked_1(object sender, ItemClickedEventArgs e)
        {
            XamContextMenu menu = sender as XamContextMenu;
            ConstraintDateTimeEntry entry = ((menu.PlacementTargetResolved as Border).TemplatedParent as EventTitle).EventEntry as ConstraintDateTimeEntry;
            //ConstraintDateTimeEntry entry = (menu.PlacementTargetResolved as Border).DataContext as ConstraintDateTimeEntry;
            MessageBox.Show(entry.MyProperty.ToString());
            
        }


    }

    public class ConstraintDateTimeEntry : DateTimeEntry
    {
        public string MyProperty { get { return "some"; } }
    }
}
